<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3059
Name: Durchgeführte Maßnahmen
Description: Durchgeführte Maßnahmen, Feldbezeichnung auf dem Papierdokument:  Therapie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3059-2015-04-29T000000">
   <title>Durchgeführte Maßnahmen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]
Item: (DurchgefuehrteMassnahmen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']"
         id="tmp-r-66c8cf17-cb03-4b70-87c1-c1325f2775ec">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3059'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3059']/@nullFlavor)">(DurchgefuehrteMassnahmen): Element hl7:templateId[@root='1.2.276.0.76.10.3059'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3059'])&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:templateId[@root='1.2.276.0.76.10.3059'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:id)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(DurchgefuehrteMassnahmen): Element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(DurchgefuehrteMassnahmen): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:title)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(DurchgefuehrteMassnahmen): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="count(hl7:text)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:templateId[@root='1.2.276.0.76.10.3059']
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:templateId[@root='1.2.276.0.76.10.3059']"
         id="tmp-r-9c5c9be2-8952-4c13-9187-b395ec3ae3cf">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3059')">(DurchgefuehrteMassnahmen): Der Wert von @root MUSS '1.2.276.0.76.10.3059' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:id
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:id"
         id="tmp-r-7cb70287-6324-443f-8e69-8e4f711a6467">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e014f0d4-022b-4fe0-9e87-489c3e63ee23">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(DurchgefuehrteMassnahmen): Der Elementinhalt MUSS einer von 'code '29554-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:title
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:title"
         id="tmp-r-d46e4513-4982-4fe3-9b42-0a0de12e4e8c">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="text()='Durchgeführte Maßnahmen'">(DurchgefuehrteMassnahmen): Der Elementinhalt von 'hl7:title' MUSS ''Durchgeführte Maßnahmen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3059
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:text
Item: (DurchgefuehrteMassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3059']/hl7:text"
         id="tmp-r-cc8bfd3b-87fb-447c-bda9-237cf755b86c">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3059-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
