<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3060
Name: Befunde bei Entlassung
Description: Befunde bei Entlassung, Feldbezeichnung auf dem Papierdokument:  Entlassungsbefund 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3060-2015-04-29T000000">
   <title>Befunde bei Entlassung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]
Item: (BefundebeiEntlassung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']"
         id="tmp-r-024c6f23-e991-4d44-85ae-570265e782b7">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3060'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3060']/@nullFlavor)">(BefundebeiEntlassung): Element hl7:templateId[@root='1.2.276.0.76.10.3060'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3060'])&lt;=1">(BefundebeiEntlassung): Element hl7:templateId[@root='1.2.276.0.76.10.3060'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:id)&lt;=1">(BefundebeiEntlassung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(BefundebeiEntlassung): Element hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(BefundebeiEntlassung): Element hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(BefundebeiEntlassung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:title)&lt;=1">(BefundebeiEntlassung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(BefundebeiEntlassung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="count(hl7:text)&lt;=1">(BefundebeiEntlassung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:templateId[@root='1.2.276.0.76.10.3060']
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:templateId[@root='1.2.276.0.76.10.3060']"
         id="tmp-r-df23be5c-5971-466b-81e8-b47cc1241f5a">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundebeiEntlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3060')">(BefundebeiEntlassung): Der Wert von @root MUSS '1.2.276.0.76.10.3060' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:id
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:id"
         id="tmp-r-6f38662d-0e89-4dc7-a8db-dc15f899cfc4">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundebeiEntlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:code[(@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7e3bf856-09a7-4970-b117-4ed7324d5da4">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundebeiEntlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="@nullFlavor or (@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(BefundebeiEntlassung): Der Elementinhalt MUSS einer von 'code '11493-4' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:title
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:title"
         id="tmp-r-5409eaed-35c9-41ff-a630-90e611c4b358">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundebeiEntlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="text()='Zusammenfassung der Befunde bei Entlassung'">(BefundebeiEntlassung): Der Elementinhalt von 'hl7:title' MUSS ''Zusammenfassung der Befunde bei Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3060
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:text
Item: (BefundebeiEntlassung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3060']/hl7:text"
         id="tmp-r-fbaf8e90-54c0-4c61-9e41-8ab800469e9b">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3060-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundebeiEntlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
