<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3058
Name: Grund für die Einweisung
Description: Grund für die Einweisung mit Hauptdiagnosen / Nebendiagnosen, Feldbezeichnungen auf dem Papierdokument:  Hauptdiagnose bzw. Nebendiagnosen 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3058-2015-04-24T000000">
   <title>Grund für die Einweisung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]
Item: (GrundEinweisung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']"
         id="tmp-r-fc495af9-3f4f-4922-a82b-6550dc784b71">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3058'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3058']/@nullFlavor)">(GrundEinweisung): Element hl7:templateId[@root='1.2.276.0.76.10.3058'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3058'])&lt;=1">(GrundEinweisung): Element hl7:templateId[@root='1.2.276.0.76.10.3058'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(GrundEinweisung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(GrundEinweisung): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(GrundEinweisung): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(GrundEinweisung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:title)&lt;=1">(GrundEinweisung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(GrundEinweisung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="count(hl7:text)&lt;=1">(GrundEinweisung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:templateId[@root='1.2.276.0.76.10.3058']
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:templateId[@root='1.2.276.0.76.10.3058']"
         id="tmp-r-8dacd630-33a7-41c8-a9fa-54034458b47b">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3058')">(GrundEinweisung): Der Wert von @root MUSS '1.2.276.0.76.10.3058' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:id
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:id"
         id="tmp-r-f6a03925-0313-472e-a9de-7e817406822b">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c4d80ba5-038f-4e42-9d64-63b9c1c35649">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(GrundEinweisung): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:title
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:title"
         id="tmp-r-df2046c5-691a-4e7a-8e1c-b74bdf4abfba">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="text()='Hauptdiagnose / Nebendiagnosen'">(GrundEinweisung): Der Elementinhalt von 'hl7:title' MUSS ''Hauptdiagnose / Nebendiagnosen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3058
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:text
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3058']/hl7:text"
         id="tmp-r-77a450ce-05cb-4031-a20d-ae0364e6ae90">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3058-2015-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
