<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3062
Name: Entlassmedikation
Description: Wird auf dem Papierdokument als  Entlassmedikation  bezeichnet 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3062-2015-04-29T000000">
   <title>Entlassmedikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]
Item: (Entlassmedikation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']"
         id="tmp-r-42129181-f64f-4cc8-8cb6-c9d6d1ba4edb">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3062'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3062']/@nullFlavor)">(Entlassmedikation): Element hl7:templateId[@root='1.2.276.0.76.10.3062'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3062'])&lt;=1">(Entlassmedikation): Element hl7:templateId[@root='1.2.276.0.76.10.3062'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:id)&lt;=1">(Entlassmedikation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Entlassmedikation): Element hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Entlassmedikation): Element hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Entlassmedikation): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:title)&lt;=1">(Entlassmedikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Entlassmedikation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="count(hl7:text)&lt;=1">(Entlassmedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:templateId[@root='1.2.276.0.76.10.3062']
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:templateId[@root='1.2.276.0.76.10.3062']"
         id="tmp-r-ee844e0e-1347-40ba-8fbc-40f42dbe0f05">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3062')">(Entlassmedikation): Der Wert von @root MUSS '1.2.276.0.76.10.3062' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:id
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:id"
         id="tmp-r-bceecba9-54da-49a7-8c7f-bd1c924e703a">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:code[(@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-31dd56e8-b33f-48ac-845e-263ad8310e64">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="@nullFlavor or (@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')">(Entlassmedikation): Der Elementinhalt MUSS einer von 'code '10183-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:title
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:title"
         id="tmp-r-b01c0058-6a2c-4c56-8619-720ed2300b78">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="text()='Medikation bei Entlassung'">(Entlassmedikation): Der Elementinhalt von 'hl7:title' MUSS ''Medikation bei Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3062
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:text
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3062']/hl7:text"
         id="tmp-r-37e669b9-ae1f-4c4f-9158-c939c95c348c">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3062-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
