<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3066
Name: Einweisungsmedikation
Description: Wird auf dem Papierdokument als  Einweisungsmedikation  bezeichnet
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3066-2015-12-29T000000">
   <title>Einweisungsmedikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]
Item: (Einweisungsmedikation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']"
         id="tmp-r-7e184c06-c834-4a71-870a-cab5fed4b1e7">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3066'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3066']/@nullFlavor)">(Einweisungsmedikation): Element hl7:templateId[@root='1.2.276.0.76.10.3066'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3066'])&lt;=1">(Einweisungsmedikation): Element hl7:templateId[@root='1.2.276.0.76.10.3066'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:id)&lt;=1">(Einweisungsmedikation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Einweisungsmedikation): Element hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Einweisungsmedikation): Element hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Einweisungsmedikation): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:title)&lt;=1">(Einweisungsmedikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Einweisungsmedikation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="count(hl7:text)&lt;=1">(Einweisungsmedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:templateId[@root='1.2.276.0.76.10.3066']
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:templateId[@root='1.2.276.0.76.10.3066']"
         id="tmp-r-829f2e43-3b3b-417b-864b-1b831a6f3cc4">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einweisungsmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3066')">(Einweisungsmedikation): Der Wert von @root MUSS '1.2.276.0.76.10.3066' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:id
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:id"
         id="tmp-r-baa9432f-39e8-4a25-b7ee-b622b0156ba1">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einweisungsmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:code[(@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-754d7ba3-d592-417e-ac37-e19b9dd59200">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einweisungsmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="@nullFlavor or (@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')">(Einweisungsmedikation): Der Elementinhalt MUSS einer von 'code '10160-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:title
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:title"
         id="tmp-r-a8aac904-0a3e-4817-a994-a770cf09582d">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einweisungsmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="text()='Medikation bei Entlassung'">(Einweisungsmedikation): Der Elementinhalt von 'hl7:title' MUSS ''Medikation bei Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3066
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:text
Item: (Einweisungsmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3066']/hl7:text"
         id="tmp-r-37359a96-167e-4659-bbdc-dd6167f3a8fd">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3066-2015-12-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einweisungsmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
