<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3064
Name: Heil- und Hilfsmittel
Description: Bezeichnnung auf dem Papierdokument ist " Heil- und Hilfsmittel "
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3064-2015-04-29T000000">
   <title>Heil- und Hilfsmittel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]
Item: (HeilundHilfsmittel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']"
         id="tmp-r-9d223454-456a-4a0e-aff4-482c8c3a5f10">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3064'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3064']/@nullFlavor)">(HeilundHilfsmittel): Element hl7:templateId[@root='1.2.276.0.76.10.3064'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3064'])&lt;=1">(HeilundHilfsmittel): Element hl7:templateId[@root='1.2.276.0.76.10.3064'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:id)&lt;=1">(HeilundHilfsmittel): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1 ">(HeilundHilfsmittel): Element hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(HeilundHilfsmittel): Element hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(HeilundHilfsmittel): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:title)&lt;=1">(HeilundHilfsmittel): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(HeilundHilfsmittel): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="count(hl7:text)&lt;=1">(HeilundHilfsmittel): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:templateId[@root='1.2.276.0.76.10.3064']
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:templateId[@root='1.2.276.0.76.10.3064']"
         id="tmp-r-2bba0a2b-2009-4692-ac40-ff36e813ff7c">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeilundHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3064')">(HeilundHilfsmittel): Der Wert von @root MUSS '1.2.276.0.76.10.3064' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:id
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:id"
         id="tmp-r-bc83fa02-7eae-45f8-bdf8-7836aaa051bc">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeilundHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:code[(@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="tmp-r-5fc562fe-710b-496c-b9f4-d993ecbc9e9d">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeilundHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="@nullFlavor or (@code='X_NMTAS' and @codeSystem='2.16.840.1.113883.6.1')">(HeilundHilfsmittel): Der Elementinhalt MUSS einer von 'code 'X_NMTAS' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:title
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:title"
         id="tmp-r-6a2c867b-c4db-47ff-aa7f-e1a4e4d7028e">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeilundHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="text()='Heil- und Hilfsmittel'">(HeilundHilfsmittel): Der Elementinhalt von 'hl7:title' MUSS ''Heil- und Hilfsmittel'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3064
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:text
Item: (HeilundHilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3064']/hl7:text"
         id="tmp-r-c10f15bb-de78-4f95-aa6d-c25f5372ac49">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.3064-2015-04-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeilundHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
